<template>
  <div
    class="overflow-auto h-[calc(100vh-113px)] pb-[120px]"
    @scroll="onScroll"
  >
    <banner-with-animation :actived-tab="'games'"></banner-with-animation>
    <new-black-theme-m-game-entry class="mGameEntry" />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "Game",
  setup() {
    const onScroll = (e: any) => {
      const stickySearchGameFilter = document.querySelector(
        ".stickySearchGameFilter"
      );
      const scrollVal = e.target.scrollTop;
      if (!stickySearchGameFilter) return;
      if (scrollVal >= 165) {
        const alreadyHasClass = stickySearchGameFilter.classList.contains(
          "fixedSearchGameFilter"
        );
        if (alreadyHasClass) return;
        stickySearchGameFilter?.classList.add("fixedSearchGameFilter");
      } else {
        stickySearchGameFilter?.classList.remove("fixedSearchGameFilter");
      }
    };
    return { onScroll };
  },
});
</script>

<style lang="scss" scoped>
.mGameEntry {
  :deep(.stickySearchGameFilter) {
    &.fixedSearchGameFilter {
      position: fixed;
      z-index: 21;
      top: 48px;
      width: 100%;
    }
  }
  :deep(.el-loading-parent--relative) {
    .el-loading-mask {
      top: 20vh;
    }
  }
}
</style>
